## GstD3D12CompositorPad

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPad
                    ╰──GstAggregatorPad
                        ╰──GstVideoAggregatorPad
                            ╰──GstD3D12CompositorPad

### Properties

#### alpha

    “alpha” gdouble

Alpha of the picture

Flags : Read / Write

Default value : 1

#### height

    “height” gint

Height of the picture

Flags : Read / Write

Default value : 0

#### operator

    “operator” D3d12compositor-operator *

Blending operator to use for blending this pad over the previous ones

Flags : Read / Write

Default value : over (1)

#### sizing-policy

    “sizing-policy” D3d12compositor-sizing-policy *

Sizing policy to use for image scaling

Flags : Read / Write

Default value : none (0)

#### width

    “width” gint

Width of the picture

Flags : Read / Write

Default value : 0

#### xpos

    “xpos” gint

X position of the picture

Flags : Read / Write

Default value : 0

#### ypos

    “ypos” gint

Y position of the picture

Flags : Read / Write

Default value : 0

### Named constants

#### D3d12compositor-operator

##### Members

`source` (0) – Source
`over` (1) – Over

#### D3d12compositor-sizing-policy

##### Members

`none` (0) – None: Image is scaled to fill configured destination rectangle without padding or keeping the aspect ratio
`keep-aspect-ratio` (1) – Keep Aspect Ratio: Image is scaled to fit destination rectangle specified by GstD3D12CompositorPad:{xpos, ypos, width, height} with preserved aspect ratio. Resulting image will be centered in the destination rectangle with padding if necessary

The results of the search are